org.jboss.netty.handler.codec.http

## Interface HttpChunk

- All Known Subinterfaces:
    HttpChunkTrailer
  All Known Implementing Classes:
    DefaultHttpChunk, DefaultHttpChunkTrailer

      public interface HttpChunk

  An HTTP chunk which is used for HTTP chunked transfer-encoding. `HttpMessageDecoder` generates `HttpChunk` after `HttpMessage` when the content is large or the encoding of the content is 'chunked. If you prefer not to receive `HttpChunk` in your handler, please `HttpChunkAggregator` after `HttpMessageDecoder` in the `ChannelPipeline`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HttpChunkTrailer` | `LAST_CHUNK` The 'end of content' marker in chunked encoding.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelBuffer` | `getContent()` Returns the content of this chunk.
    `boolean` | `isLast()` Returns `true` if and only if this chunk is the 'end of content' marker.
    `void` | `setContent(ChannelBuffer content)` Sets the content of this chunk.

- - ### Field Detail

    - #### LAST_CHUNK

          static final HttpChunkTrailer LAST_CHUNK

      The 'end of content' marker in chunked encoding.

  - ### Method Detail

    - #### isLast

          boolean isLast()

      Returns `true` if and only if this chunk is the 'end of content' marker.

    - #### getContent

          ChannelBuffer getContent()

      Returns the content of this chunk. If this is the 'end of content' marker, `ChannelBuffers.EMPTY_BUFFER` will be returned.

    - #### setContent

          void setContent(ChannelBuffer content)

      Sets the content of this chunk. If an empty buffer is specified, this chunk becomes the 'end of content' marker.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.